# APP CONFIGURATION

APP_NAME=App
APP_ENV=local
APP_KEY=
APP_DEBUG=true
APP_TIMEZONE="Europe/Paris"
APP_URL=http://mydomain.com
APP_DEV_URL=http://localhost:8000
APP_UI_DEV_URL="http://localhost:8080/#"

# LOG CONFIGURATION

LOG_CHANNEL=stack
LOG_LEVEL=debug

# DATABASE CONFIGURATION

DB_CONNECTION=mysql
# When server is running on Docker, 'database' is the hostname of the database container.
# See also in parent repository: app/docker-compose.yml
#DB_HOST=database
DB_HOST=localhost
DB_PORT=3306
DB_DATABASE="smart-garden"
DB_USERNAME=admin
DB_PASSWORD=
DB_CHARSET=utf8
DB_COLLATION=utf8_unicode_ci

# SERVER CONFIGURATION

BROADCAST_DRIVER=log
CACHE_DRIVER=file
QUEUE_CONNECTION=sync
SESSION_DRIVER=file
SESSION_LIFETIME=120
MEMCACHED_HOST=127.0.0.1

# MAIL CONFIGURATION

MAIL_MAILER=smtp
MAIL_HOST=smtp.gmail.com
MAIL_PORT=587
MAIL_USERNAME=dev.johndoe@mydomain.com
MAIL_PASSWORD=P4$$w0rd
MAIL_ENCRYPTION=tls
MAIL_FROM_ADDRESS=dev.johndoe@mydomain.com
MAIL_FROM_NAME="${APP_NAME}"
MAIL_ALWAYS_TO=

# L5 SWAGGER CONFIGURATION

L5_SWAGGER_USE_ABSOLUTE_PATH=true
L5_FORMAT_TO_USE_FOR_DOCS="json"
L5_SWAGGER_BASE_PATH=null
L5_SWAGGER_UI_ASSETS_PATH="vendor/swagger-api/swagger-ui/dist/"
L5_SWAGGER_GENERATE_ALWAYS=true # True in dev mode
L5_SWAGGER_GENERATE_YAML_COPY=false
L5_SWAGGER_OPERATIONS_SORT=null
L5_SWAGGER_UI_DOC_EXPANSION="none"
L5_SWAGGER_UI_FILTERS=true

